package org.rcisoft.app.login.cons;

/**
 * Created with family.
 * author: cy
 * Date: 2021/5/10
 * Time: 4:15 PM
 * description:
 */
public class WxMiniCons {

    // 微信获取 openid
    public static final String LOGIN_URL = "https://api.weixin.qq.com/sns/jscode2session?appid=%s&secret=%s&js_code=%s&grant_type=authorization_code";


    // map - code码
    public static final String CODE = "code";
    // map - user对象
    public static final String DATA = "data";
    // map - token
    public static final String TOKEN = "token";
    // map - openId
    public static final String OPEN_ID = "openId";

    // 已登录，已授权   1
    public static final Integer CODE_AUTHOR = 200;
    // 已登录，未授权  0.5
    public static final Integer CODE_LOGIN = 202;
    // 异常           -1
    public static final Integer CODE_ERROR = 500;
    // 未登录         0
    public static final Integer CODE_UNLOGIN = 204;

    //微信接口
    public static final String OPEN_ID_STR = "openid";
    public static final String SESSION_KEY_STR = "session_key";

    //redis openid
    public static final String REDIS_OPENID_STR = "users:sk:";
    // 解密phone str
    public static final String PHONE_STR = "phoneNumber";


    //操作提示
    public static final String OPE_PHONE_ERROR = "获取手机号错误，请稍后重试";

    public static final String OPE_PHONE_EXIST = "您的手机号被占用，请联系客服";

    public static final String OPE_PHONE_NOT_EXIST = "您的手机号，系统不存在，请联系客服";

    public static final String OPE_PROFILE_NOT_LOGIN = "用户未登录，请先登录";

}
