package org.rcisoft.app.login.service;

import java.util.Map;

/**
 * Created with family.
 * author: cy
 * Date: 2021/5/10
 * Time: 3:41 PM
 * description:
 */
public interface WxMiniService {
    /**
     * 验证登录
     *
     * @param code
     * @return
     */
    Map<String, Object> validLogin(String code, String token);

    /**
     * 手机登录
     *
     * @param encryptedData
     * @param iv
     * @param openId
     * @return
     */
    Map<String, Object> phoneLogin(String encryptedData, String iv, String openId);

    /**
     * 保存profile
     *
     * @param nickName
     * @param avatarUrl
     * @param gender
     * @param address
     * @return
     */
    Map<String, Object> saveUserProfile(String nickName, String avatarUrl, String gender, String address, String token);

}
